var CX = {};

(function($) {
    'use strict';

    CX.init = function() {

        CX.params = chatxaiLocalizeScript;
        CX.initNotices();
        CX.initAccountStatus();
        CX.initCartsModal();

    };

    /**
     * @param float
     * @return string
     */
    CX.price = function(float) {

        var price = float.toFixed(2);
        var symbol = CX.params.locale.currency_symbol;

        switch (CX.params.locale.currency_position) {
            case 'right':
                price = price + symbol;
                break;
            case 'right_space':
                price = price + ' ' + symbol;
                break;
            case 'left':
                price = symbol + price;
                break;
            case 'left_space':
            default:
                price = symbol + ' ' + price;
                break;
        }

        return price;
    };

    CX.initNotices = function() {
        jQuery('body').on('click', '.notice-chatx .notice-dismiss', function() {
            jQuery.post(ajaxurl, {
                action: 'dismiss_cx_notice',
                id: jQuery(this).closest('.notice-chatx').data('notice-id')
            });
        })
    }

    CX.initAccountStatus = function() {
        var $btn = jQuery('.button-chatx-as');
        $btn.on('click', function(event) {
            $btn.fadeOut(function() {
                $btn.after('<div class="cx-spinner"></div>');
            })

            jQuery.post(ajaxurl, {
                action: 'cx_account_status',
                status: $btn.data('setting')
            }, function(data) {
                var textClass = data.success ? 'success' : 'danger';
                $btn.parent().html('<label class="text-' + textClass + '">' + data.message + '</label>');
            });
            return false;
        });
    }

    CX.initCartsModal = function() {

    	$(document).on('click', '[data-chatxai-modal-type="ajax"]', function(event) {
    		event.preventDefault();

    		var $openElement = $(this);

    		$('body').append('<div id="cartViewDialog" class="hidden"></div>');

    		$('#cartViewDialog').addClass('loading').dialog({
	            title: $openElement.data('chatxai-modal-title'),
	            dialogClass: 'wp-dialog',
	            autoOpen: false,
	            draggable: false,
	            width: '800px',
	            modal: true,
	            resizable: false,
	            closeOnEscape: true,
	            position: {
	                my: "center top",
	                at: "center top"
	            },
	            open: function() {
	                $('.ui-widget-overlay').bind('click', function() {
	                    $('#cartViewDialog').dialog('close');
	                })
	            },
	            close: function(){
	            	$('#cartViewDialog').remove();
	            },
	            create: function() {
	                $('.ui-dialog-titlebar-close').addClass('ui-button');
	            },
	        });

    		$('#cartViewDialog').dialog('open');

    		$.get($(this).attr('href'), function(data) {

    			$('#cartViewDialog').removeClass('loading').html(data);

    		});

    		return false;
    	});
    }

    $(document).ready(function() {
        CX.init();
    });

})(jQuery);
