<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * @class Dashboard_Widget_Chart_Recovered_Carts
 */
class Dashboard_Widget_Chart_Recovered_Carts extends Dashboard_Widget_Chart {

	public $id = 'chart-recovered-carts';

	public $is_currency = true;

	public $recovered_carts_count = 0;

	public $recovered_carts_total = 0;


	/**
	 * @return array
	 */
	function load_data() {

		$recovered_carts = CX_Admin_Controller_Dashboard::get_local_reports('recovered');
		$recovered_carts_clean = [];

		foreach ( $recovered_carts as $cart ) {
			$recovered_carts_clean[] = (object) [
				'date' => $cart->last_modified,
				'total' => $cart->total
			];

			$this->recovered_carts_count++;
			$this->recovered_carts_total += $cart->total;
		}

		return [ array_values( $this->prepare_chart_data( $recovered_carts_clean, 'date', 'total', $this->get_interval(), 'day' ) ) ];
	}


	function output_content() {

		if ( ! $this->date_to || ! $this->date_from )
			return;

		$this->render_js();

		?>

		<div class="chatxai-dashboard-chart">

			<div class="chatxai-dashboard-chart__header">

				<div class="chatxai-dashboard-chart__header-group">
					<div class="chatxai-dashboard-chart__header-figure"><?php echo wc_price( $this->recovered_carts_total ) ?></div>
					<div class="chatxai-dashboard-chart__header-text">
						<span class="chatxai-dashboard-chart__legend chatxai-dashboard-chart__legend--blue"></span>
						<?php _e( 'recovered carts total', 'chatx-ai' ) ?>
					</div>
				</div>

				<div class="chatxai-dashboard-chart__header-group">
					<div class="chatxai-dashboard-chart__header-figure"><?php echo $this->recovered_carts_count ?></div>
					<div class="chatxai-dashboard-chart__header-text"><?php _e( 'recovered carts', 'chatx-ai' ) ?></div>
				</div>

			</div>

			<div class="chatxai-dashboard-chart__tooltip"></div>

			<div id="chatxai-dashboard-<?php echo $this->get_id() ?>" class="chatxai-dashboard-chart__flot"></div>

		</div>

		<?php
	}

}

return new Dashboard_Widget_Chart_Recovered_Carts();
