<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * @class Dashboard_Widget_Free_Trial
 */
class Dashboard_Widget_Free_Trial extends Dashboard_Widget {

	function __construct() {
		$this->id = 'free-trial';
	}


	/**
	 * @return array
	 */
	function get_figures() {

		$recovered_carts_amount = CX_Admin_Controller_Dashboard::get_local_reports('total_recovered_amount');
		$free_trial_amount = CX_Admin_Controller_Dashboard::get_free_trial_amount();

		setlocale(LC_MONETARY, 'en_US');

		$figure = [
			'name' => __( 'left in FREE TRIAL', 'chatx-ai' ),
			'value' => $free_trial_amount ? wc_price( $free_trial_amount ) : wc_price( 1000 ),
			'link' => admin_url( 'admin.php?page=chatxai-settings&tab=billing' )
		];

		return apply_filters('chatxai/dashboard/payments', $figure );
	}


	function output_content() {

		$figure = $this->get_figures();

		?>

		<div class="chatxai-dashboard__figures">

			<a href="<?php echo esc_url( $figure['link'] ) ?>" class="chatxai-dashboard__figure">
				<div class="chatxai-dashboard__figure-value"><?php echo $figure['value'] ?></div>
				<div class="chatxai-dashboard__figure-name"><?php echo esc_attr( $figure['name'] ) ?></div>
			</a>

		</div>

		<?php
	}

}

return new Dashboard_Widget_Free_Trial();
