<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * @class Dashboard_Widget_Payments
 */
class Dashboard_Widget_Payments extends Dashboard_Widget {

	function __construct() {
		$this->id = 'payments';
	}


	/**
	 * @return array
	 */
	function get_figures() {

		$payment_amount = CX_Admin_Controller_Dashboard::get_payment_amount();

		$figure = [
			'name' => __( 'next payment amount', 'chatx-ai' ),
			'value' => $payment_amount ? wc_price( $payment_amount ) : wc_price( 0 ),
			'link' => admin_url( 'admin.php?page=chatxai-settings&tab=billing' )
		];

		return apply_filters('chatxai/dashboard/payments', $figure );
	}


	function output_content() {

		$figure = $this->get_figures();

		?>

		<div class="chatxai-dashboard__figures">

			<a href="<?php echo esc_url( $figure['link'] ) ?>" class="chatxai-dashboard__figure">
				<div class="chatxai-dashboard__figure-value"><?php echo $figure['value'] ?></div>
				<div class="chatxai-dashboard__figure-name"><?php echo esc_attr( $figure['name'] ) ?></div>
			</a>

		</div>

		<?php
	}

}

return new Dashboard_Widget_Payments();
