<?php
/**
 * @var $widgets array
 * @var $date_text string
 * @var $date_current string
 * @var $date_tabs array
 */

if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap chatxai-page chatxai-page--dashboard">

	<div class="chatxai-dashboard-header">
		<div class="chatxai-dashboard-date-nav">
			<?php foreach ( $date_tabs as $date_tab_key => $date_tab_text ): ?>
				<a href="<?php echo add_query_arg( 'date', $date_tab_key, Chatx_Ai_Admin::page_url( 'dashboard' ) ) ?>"
					class="chatxai-dashboard-date-nav__tab <?php echo ( $date_tab_key == $date_current ? 'chatxai-dashboard-date-nav__tab--current' : '' ) ?>">
					<?php echo esc_attr( $date_tab_text ) ?>
				</a>
			<?php endforeach; ?>
		</div>

		<h1><?php _e( 'Dashboard', 'chatx-ai' ) ?></h1>
	</div>


	<div class="chatxai-dashboard-widgets">
		<div class="chatxai-dashboard-widget-sizer"></div>
		<?php foreach ( $widgets as $widget ): ?>
			<?php $widget->output(); ?>
		<?php endforeach; ?>
	</div>

	<?php if ( !$is_registered ): ?>
		<div class="chatxai-register-form"></div>

		<div class="chatxai-register-form-info">
			<h1 style="color: #303E56;">REGISTER / LOG IN</h1>
			<p style="color: #303E56;">In order to be able to use <strong>ChatX.ai</strong> you need to register first. To do this, <strong>press the button below</strong> and you will be taken to <strong>Log in with Facebook</strong> and select your shop's Facebook page.</p>
			<a href="<?php echo $register_url; ?>" class="button-primary" target="_blank">Connect with ChatX.ai</a>
		</div>
	<?php endif ?>

</div>

