<?php
/**
 * @package		ChatX.ai/Admin/Views
 *
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit;

?>

<table class="wp-list-table chatxai-list-table widefat fixed striped carts">
    <thead>
        <tr>
            <td class="manage-column"><?php echo __('Invoice No', 'chatxai'); ?></td>
            <td class="manage-column"><?php echo __('Status', 'chatxai'); ?></td>
            <td class="manage-column"><?php echo __('Description', 'chatxai'); ?></td>
            <td class="manage-column"><?php echo __('Amount', 'chatxai'); ?></td>
            <td class="manage-column"><?php echo __('Created', 'chatxai'); ?></td>
            <td class="manage-column"><?php echo __('Transaction date', 'chatxai'); ?></td>
        </tr>
    </thead>
    <tbody>
        <?php
            $payments = isset($payments_data->payments) ? $payments_data->payments : [];
            foreach ($payments as $paymentIndex => $payment): ?>
                <tr>
                    <td>
                        <?php if($payment->invoice_url): ?>
                            <a href="<?php echo $payment->invoice_url; ?>?access=<?php echo $invoicesAccessKey; ?>" class="btn btn-primary" target="_BLANK"><?php echo $payment->invoice_no; ?></a>
                        <?php else: ?>
                            <?php echo $payment->invoice_no; ?>
                        <?php endif; ?>
                    <td>
                        <?php
                            echo $payment->status_string;
                            if($payment->status == "scheduled" && $payment->has_error){
                                echo '<br>';
                                echo '<span class="text-danger">Payment error. Please check your card details</span>';
                            }
                        ?>
                    </td>
                    <td><?php echo $payment->description; ?></td>
                    <td>EUR<?php echo $payment->amount; ?></td>
                    <td><?php echo $payment->createdAt; ?></td>
                    <td><?php echo $payment->payedAt; ?></td>
                </tr>
        <?php
            endforeach;
            if(empty($payments)):
        ?>
            <tr><td colspan="6" style="text-align:center;">No payments</td></tr>
        <?php endif; ?>
    </tbody>
</table>
