<?php

/**
 * Fired during plugin activation
 *
 * @link       https://chatx.ai
 * @since      1.0.0
 *
 * @package    Chatx_Ai
 * @subpackage Chatx_Ai/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Chatx_Ai
 * @subpackage Chatx_Ai/includes
 * @author     Chatx.ai <contact@chatx.ai>
 */
class Chatx_Ai_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		// Include tracking system on plugin activate to create the db
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/modules/session_tracker/autoload.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/modules/abandoned_carts_tracking/autoload.php';
        ChatXACT()->install();
        chatx_active_campaign_sync('plugin_activated');
	}
}
