<?php

namespace CXModule\AbandonedCarts;

/**
 * @class Admin
 */
class Admin {

	static function init() {
		add_action( 'admin_menu', [ __CLASS__, 'admin_menu' ] );

		wp_enqueue_script( 'jquery-ui-dialog' );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
	}

	static function admin_menu() {

		$sub_menu = [];

		if( \Chatx_Ai_Options::read('chatxai_enable_carts_tracking', false) != 'no'
			&& \Chatx_Ai_Options::read('chatxai_enable_carts_tracking', false) ) {
			$sub_menu['carts'] = [
				'title' => __( 'Abandoned Carts', 'chatx-ai'),
				'function' => [ 'CXModule\AbandonedCarts\Admin_Controller_Carts', 'output' ]
			];

			$sub_menu['restoredcarts'] = [
				'title' => __( 'Recovered Carts', 'chatx-ai'),
				'function' => [ 'CXModule\AbandonedCarts\Admin_Controller_RestoredCarts', 'output' ]
			];

			/*
			$sub_menu['tests'] = [
				'title' => __( 'OnlyDEV', 'chatx-ai'),
				'function' => [ 'CXModule\AbandonedCarts\Admin_Controller_Tests', 'output' ]
			];
			*/
		}

		foreach ( $sub_menu as $key => $item ) {

			if ( empty( $item['function'] ) ) $item['function'] = '';
			if ( empty( $item['capability'] ) ) $item['capability'] = 'manage_woocommerce';
			if ( empty( $item['slug'] ) ) $item['slug'] = 'chatxai-' . $key;
			if ( empty( $item['page_title'] ) ) $item['page_title'] = $item['title'];

			add_submenu_page( 'chatxai', $item['page_title'], $item['title'], $item['capability'], $item['slug'], $item['function'] );
		}
	}

	static function get_view( $view, $args = [], $path = false ) {

		if ( $args && is_array( $args ) )
			extract( $args );

		if ( ! $path )
			$path = __DIR__ .'/views/';

		include( $path . $view . '.php' );
	}

	static function get_hidden_form_inputs_from_query( $vars ) {
		foreach ( $vars as $var ) {
			if ( empty( $_GET[$var] ) )
				continue;

			echo '<input type="hidden" name="' . esc_attr( $var ) . '" value="' . esc_attr( $_GET[$var] ) . '">';
		}
	}
}
