<?php

namespace WordPress\ORM;

class Guest extends BaseModel
{
    public $id;
    public $email;
    public $tracking_key;
    public $created;
    public $last_active;
    public $language;
    public $ip;

    public static function get_primary_key()
    {
        return 'id';
    }

    public static function get_table()
    {
        global $wpdb;
        return $wpdb->prefix . 'chatx_guests';
    }

    public static function get_searchable_fields()
    {
        return [];
    }

    public static function create_table() {
        global $wpdb;
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

        $charset_collate = $wpdb->get_charset_collate();

        $tablename = $wpdb->prefix . 'chatx_guests';

        dbDelta("CREATE TABLE IF NOT EXISTS {$tablename} (
            id bigint(20) NOT NULL AUTO_INCREMENT,
            email varchar(255) default NULL,
            tracking_key varchar(32) NOT NULL default '',
            created datetime default NULL,
            last_active datetime default NULL,
            language varchar(10) default NULL,
            ip tinytext default NULL,
            PRIMARY KEY  (id),
            KEY tracking_key (tracking_key),
            KEY email (email(191))
            ) {$charset_collate};");
    }

    function setCreated($date){
        $this->created = $date->format('Y-m-d H:i:s');
    }

    function setLastActive($date){
        $this->last_active = $date->format('Y-m-d H:i:s');
    }
}
