var ChatxAI = {
    canClick: false,
    startup: function() {
        this.loadFB();
        this.initBubble();
    },
    cookies: {
        set: function(name, value, hours) {
            var expires = "";
            if (hours) {
                var date = new Date();
                date.setTime(date.getTime() + (hours * 60 * 60 * 1000));
                expires = "; expires=" + date.toUTCString();
            }
            document.cookie = name + "=" + value + expires + "; path=/";
        },
        get: function(name) {
            var nameEQ = name + "=";
            var ca = document.cookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) == ' ') c = c.substring(1, c.length);
                if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
            }
            return null;
        },
        erase: function(name) {
            this.set(name, "", -1);
        }
    },
    initBubble:function(){
        jQuery(document).on('click', '.chatx-modal-close', function(event) {
            jQuery('.chatx-checkbox-plugin').removeClass('unchecked');
            ChatxAI.cookies.set('chatx_speech_bubble_show', 1, 6);
            event.preventDefault();
            return false;
        });
    },
    startupFB: function() {
        var fb_app_id = null;

        jQuery('.chatx-checkbox-plugin').each(function(index, el) {
            fb_app_id = jQuery(el).data('messenger_app_id');

            var parentSelector = jQuery(el).data('parent-selector');
            if(parentSelector && jQuery(parentSelector).length){
                jQuery(el).closest('.chatx-checkbox-plugin-container').appendTo(parentSelector);
            }

            ChatxAI.initCheckboxPlugin(index, jQuery(el));
        });

        jQuery('.fb-send-to-messenger').each(function(index, el) {
            fb_app_id = jQuery(el).attr('messenger_app_id');
        });

        !jQuery('.chatx-checkbox-plugin').length ? ChatxAI.log('No "Checkbox" found') : null;
        !jQuery('.fb-send-to-messenger').length ? ChatxAI.log('No "Send to Messenger" found') : null;

        if (fb_app_id) {
            FB.init({
                appId: fb_app_id,
                xfbml: true,
                version: 'v2.9'
            });

            FB.Event.subscribe('messenger_checkbox', function(e) {
                if (e.event == 'rendered') {
                    ChatxAI.log("Plugin was rendered");
                } else if (e.event == 'checkbox') {
                    var checkboxState = e.state;
                    ChatxAI.log("Checkbox state: " + checkboxState);
                    if (checkboxState == "unchecked") {
                        if(parseInt(ChatxAI.cookies.get('chatx_speech_bubble_show')) !== 1){
                            jQuery('.chatx-checkbox-plugin').addClass('unchecked');
                        }
                    }
                    if (checkboxState == "checked") {
                        jQuery('.chatx-checkbox-plugin').removeClass('unchecked');
                    }
                } else if (e.event == 'not_you') {
                    ChatxAI.log("User clicked 'not you'");
                } else if (e.event == 'hidden') {
                    ChatxAI.log("Plugin was hidden");
                }
            });
        }

    },
    loadFB: function() {
        var oldCB = window.fbAsyncInit;
        window.fbAsyncInit = function() {
            if (typeof oldCB === 'function') {
                oldCB();
            }

            ChatxAI.startupFB();
        };

        (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {
                return;
            }
            js = d.createElement(s);
            js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));
    },
    confirmOptIn: function(data) {
        if (!data) return;

        FB.AppEvents.logEvent('MessengerCheckboxUserConfirmation', null, {
            'app_id': data.app_id,
            'page_id': data.page_id,
            'user_ref': data.user_ref
        });
    },
    initCheckboxPlugin: function(no, $el) {
        $checkboxPluginDiv = jQuery('<div>');

        var settings = {
            class: "fb-messenger-checkbox",
            messenger_app_id: $el.data('messenger_app_id'),
            page_id: $el.data('page_id'),
            origin: $el.data('origin'),
            user_ref: $el.data('user_ref'),
            prechecked: "true",
            allow_login: "true",
            size: "small"
        };

        $checkboxPluginDiv.attr(settings);
        $el.append($checkboxPluginDiv);

        var checkboxType = $el.data('type');
        ChatxAI.log('Checkbox type : ' + checkboxType);
        ChatxAI.log('Checkbox trigger selector : ' + checkboxType == "form" ? 'closest form' : $el.data('button-selector'));
        ChatxAI.log('Checkbox trigger element')
        ChatxAI.log(checkboxType == "form" ? $el.closest('form') : jQuery($el.data('button-selector')));

        if (checkboxType == "button") {
            jQuery($el.data('button-selector')).data('settings', settings);
            jQuery('body').on('click', $el.data('button-selector'), function(event) {
                if (!ChatxAI.doTriggerButton(jQuery(this))) {
                    event.preventDefault();
                    event.stopPropagation();
                    return false;
                }
            });
        } else {
            $el.closest('form').data('settings', settings);
            $el.closest('form').on('submit', function(event) {
                if (!ChatxAI.doTriggerForm(jQuery(this))) {
                    event.preventDefault();
                    event.stopPropagation();
                    return false;
                }
            });
        }
    },
    getElementData: function($element) {
        var elementSettings = $element.data('settings');
        if (elementSettings) {
            return {
                app_id: elementSettings.messenger_app_id,
                page_id: elementSettings.page_id,
                user_ref: elementSettings.user_ref
            };
        }

        return null;
    },
    doTriggerForm: function($element) {
        ChatxAI.log('Trigger form called');
        if (!$element.data('triggered')) {
            ChatxAI.log('Form not triggered. Confirm the checkbox ... ');
            var data = ChatxAI.getElementData($element);
            ChatxAI.confirmOptIn(data);
            ChatxAI.log('Confirm with data : ', JSON.stringify(data));

            $element.data('triggered', true);
            $element.find('[type="submit"]').attr('disabled', 'true');

            setTimeout(function() {
                $element.find('[type="submit"]').removeAttr('disabled').click();
            }, 500)

            return false;
        }

        ChatxAI.log('Form already triggered, we skip any action now');
        return true;
    },
    doTriggerButton: function($element) {
        ChatxAI.log('Trigger button called');
        if (!$element.data('triggered')) {
            ChatxAI.log('Button not triggered. Confirm the checkbox ... ');
            var data = ChatxAI.getElementData($element);
            ChatxAI.confirmOptIn(data);

            ChatxAI.log('Confirm with data : ', JSON.stringify(data));

            $element.data('triggered', true);
            $element.attr('disabled', 'true');

            setTimeout(function() {
                $element.removeAttr('disabled');
                $element.get(0).click();
            }, 500)

            return false;
        }

        ChatxAI.log('Button already triggered, we skip any action now');
        return true;
    },
    isDev: function() {
        return document.cookie.indexOf('chatxdev=') !== -1;
    },
    log: function(log) {
        if (!this.isDev()) return;
        if (typeof log == "object") {
            return console.log(log);
        }
        console.log('ChatX : %s', log);
    }
}
jQuery(document).ready(function($) {
    ChatxAI.startup();
});
